:root {
  --color-first: #ffffff;
  --color-second: #ffb528;

  --color-first-hover: #ffb528;
  --color-second-hover: #666666;

  --body-background-color: #0d0d0d;
  --button-background-color: #ffb528;

  --border-first-color: #ffb528;
  --border-second-color: #444444;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  background-color: #4e423e;
  border-radius: 3px;
}

::-webkit-scrollbar-track-piece {
  background-color: rgba(255, 255, 255, 0.05);
}

html,
body {
  max-width: 100vw;
  min-width: 320px;
}

html {
  font-size: 14px;
}

@media only screen and (min-width: 1440px) {
  html {
    font-size: 16px;
  }
}

@media only screen and (min-width: 1920px) {
  html {
    font-size: 18px;
  }
}

@media only screen and (min-width: 2560px) {
  html {
    font-size: 20px;
  }
}

body {
  position: relative;
  overflow-x: hidden;
  color: var(--color-first);
  background-color: var(--body-background-color);
  overflow-wrap: break-word;
}

body::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  height: 80vh;
  width: 100%;
  background-image: linear-gradient(
      to bottom,
      rgba(255, 255, 255, 0) 20%,
      var(--body-background-color) 70%
    ),
    url(/background.webp);
  opacity: 0.25;
  filter: blur(4px);
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -2;
}

body::after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: radial-gradient(
      circle at 50% 25%,
      rgba(255, 181, 40, 0.35) 15%,
      transparent 0%
    ),
    radial-gradient(
      circle at 50% 105%,
      rgba(255, 181, 40, 0.35) 15%,
      transparent 0%
    );
  filter: blur(10rem);
  z-index: -1;
}

@media only screen and (min-width: 768px) {
  body::after {
    background: radial-gradient(
        circle at 0 35%,
        rgba(255, 181, 40, 0.35) 15%,
        transparent 0%
      ),
      radial-gradient(
        circle at 0 105%,
        rgba(255, 181, 40, 0.35) 15%,
        transparent 0%
      ),
      radial-gradient(
        circle at 105% 35%,
        rgba(255, 181, 40, 0.35) 15%,
        transparent 0%
      ),
      radial-gradient(
        circle at 105% 105%,
        rgba(255, 181, 40, 0.35) 15%,
        transparent 0%
      );
  }
}

ol,
ul {
  list-style-type: none;
}

a {
  color: inherit;
  text-decoration: none;
}

button {
  font-weight: 800;
  font-family: inherit;
  padding: 10px 25px;
  background-color: var(--button-background-color);
  border: 1px solid var(--button-background-color);
  box-shadow: 0 0 5px var(--button-background-color);
  transition:
    background-color 0.25s,
    color 0.25s;
  cursor: pointer;
}

button:hover {
  color: var(--color-first);
  background-color: transparent;
}
